Bug 911474 - Invalid chaining config triggers a disk full error and shutdown
Summary: Invalid chaining config triggers a disk full error and shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On: 830334 913144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-15 06:48 UTC by Jiri Pallich
Modified: 2013-03-11 18:38 UTC (History)
11 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-12.el6_4
Doc Type: Bug Fix
Doc Text:
Due to an incorrect interpretation of an error code, a directory server considered an invalid chaining configuration setting as the disk full error and shut down unexpectedly. Now, a more appropriate error code is in use and the server no longer shuts down from invalid chaining configuration settings.
Clone Of:
Environment:
Last Closed: 2013-03-11 18:38:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0628 normal SHIPPED_LIVE Moderate: 389-ds-base security and bug fix update 2013-03-11 22:35:12 UTC

Description Jiri Pallich 2013-02-15 06:48:15 UTC
This bug has been copied from bug #830334 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 5 Milan Kubík 2013-02-28 10:51:38 UTC
test setup
instance chain: ldap://dstet-mkubik.brq.redhat.com:3333/
instance dstet-mkubik: ldap://dstet-mkubik.brq.redhat.com:2222/

(chain instance might not be even necessary)

$ service dirsrv status
dirsrv chain (pid 7179) is running...
dirsrv dstet-mkubik (pid 4802) is running...

$ cat chain.ldif 
dn: cn=example link,cn=chaining database,cn=plugins,cn=config
changetype: add
objectclass: top
objectclass: extensibleObject
objectclass: nsBackendInstance
nsslapd-suffix: dc=example,dc=com
nsfarmserverurl: ldap://dstet-mkubik.brq.redhat.com:3333/
nsMultiplexorBindDN: cn=directory manager
nsMultiplexorCredentials: Secret123
cn: example link

$ ldapmodify -x -D "cn=directory manager" -w Secret123 -h localhost -p 2222 -a -f chain.ldif 
adding new entry "cn=example link,cn=chaining database,cn=plugins,cn=config"
ldap_add: Can't contact LDAP server (-1)

Log:

[28/Feb/2013:11:30:15 +0100] chaining database - Error with config attribute nsMultiplexorBindDn (cn=directory manager: forbidden value)
[28/Feb/2013:11:30:15 +0100] chaining database - Can't instantiate chaining backend instance example link.

$ service dirsrv status
dirsrv chain (pid 7179) is running...
dirsrv dstet-mkubik (pid 4802) is running...

Marking verified.

Comment 7 errata-xmlrpc 2013-03-11 18:38:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0628.html


Note You need to log in before you can comment on or make changes to this bug.